org.jgrapht.graph

## Class DirectedGraphUnion<V,E>

- java.lang.Object
- - org.jgrapht.graph.AbstractGraph<V,E>
  - - org.jgrapht.graph.GraphUnion<V,E,DirectedGraph<V,E>>
    - - org.jgrapht.graph.DirectedGraphUnion<V,E>

- All Implemented Interfaces:
    Serializable, DirectedGraph<V,E>, Graph<V,E>

      public class DirectedGraphUnion<V,E>
      extends GraphUnion<V,E,DirectedGraph<V,E>>
      implements DirectedGraph<V,E>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectedGraphUnion(DirectedGraph<V,E> g1, DirectedGraph<V,E> g2)`
    `DirectedGraphUnion(DirectedGraph<V,E> g1, DirectedGraph<V,E> g2, WeightCombiner operator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<E>` | `incomingEdgesOf(V vertex)` Returns a set of all edges incoming into the specified vertex.
    `int` | `inDegreeOf(V vertex)` Returns the "in degree" of the specified vertex.
    `int` | `outDegreeOf(V vertex)` Returns the "out degree" of the specified vertex.
    `Set<E>` | `outgoingEdgesOf(V vertex)` Returns a set of all edges outgoing from the specified vertex.

    - ### Methods inherited from class org.jgrapht.graph.GraphUnion

      `addEdge, addEdge, addVertex, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, getG1, getG2, removeEdge, removeEdge, removeVertex, vertexSet`

    - ### Methods inherited from class org.jgrapht.graph.AbstractGraph

      `assertVertexExist, containsEdge, equals, hashCode, removeAllEdges, removeAllEdges, removeAllEdges, removeAllVertices, toString, toStringFromSets`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jgrapht.Graph

      `addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

- - ### Constructor Detail

    - #### DirectedGraphUnion

          public DirectedGraphUnion(DirectedGraph<V,E> g1,
                            DirectedGraph<V,E> g2,
                            WeightCombiner operator)

    - #### DirectedGraphUnion

          public DirectedGraphUnion(DirectedGraph<V,E> g1,
                            DirectedGraph<V,E> g2)

  - ### Method Detail

    - #### inDegreeOf

          public int inDegreeOf(V vertex)

      Description copied from interface: `DirectedGraph`
      Returns the "in degree" of the specified vertex. An in degree of a vertex in a directed graph is the number of inward directed edges from that vertex. See http://mathworld.wolfram.com/Indegree.html.
      Specified by:
        `inDegreeOf` in interface `DirectedGraph<V,E>`
      Parameters:
        `vertex` - vertex whose degree is to be calculated.
      Returns:
        the degree of the specified vertex.

    - #### incomingEdgesOf

          public Set<E> incomingEdgesOf(V vertex)

      Description copied from interface: `DirectedGraph`
      Returns a set of all edges incoming into the specified vertex.
      Specified by:
        `incomingEdgesOf` in interface `DirectedGraph<V,E>`
      Parameters:
        `vertex` - the vertex for which the list of incoming edges to be returned.
      Returns:
        a set of all edges incoming into the specified vertex.

    - #### outDegreeOf

          public int outDegreeOf(V vertex)

      Description copied from interface: `DirectedGraph`
      Returns the "out degree" of the specified vertex. An out degree of a vertex in a directed graph is the number of outward directed edges from that vertex. See http://mathworld.wolfram.com/Outdegree.html.
      Specified by:
        `outDegreeOf` in interface `DirectedGraph<V,E>`
      Parameters:
        `vertex` - vertex whose degree is to be calculated.
      Returns:
        the degree of the specified vertex.

    - #### outgoingEdgesOf

          public Set<E> outgoingEdgesOf(V vertex)

      Description copied from interface: `DirectedGraph`
      Returns a set of all edges outgoing from the specified vertex.
      Specified by:
        `outgoingEdgesOf` in interface `DirectedGraph<V,E>`
      Parameters:
        `vertex` - the vertex for which the list of outgoing edges to be returned.
      Returns:
        a set of all edges outgoing from the specified vertex.

Copyright © 2016. All rights reserved.